#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t,n,k;
    long long m,u,o,Z;
    do{
        cin>>t;
    }while(t<1 || t>10);
    while(t!=0){
        cin>>n>>m>>k;
        t--;
    if (n>m) cout<<"Nie"<<'\n';
    else if(k>n) cout<<"Nie"<<'\n';
    else{
    u=n/k;
    o=n%k;
    Z=((u*(u+1)*k)/2)+o*(u+1);
    if(Z>m)cout<<"Nie"<<'\n';
    else cout<<"Tak"<<'\n';
    }
    }



    return 0;
}